Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.impl
Class ConnectorRevocationStatusChecker

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.impl.ConnectorRevocationStatusChecker

All Implemented Interfaces:
  RevocationStatusChecker

    public final class ConnectorRevocationStatusChecker

extends Object
implements RevocationStatusChecker

`RevocationStatusChecker` that tries to obtain the revocation status with `ConnectorOCSPRevocationStatusChecker`. If no ocsp information available the `ConnectorCRLRevocationStatusChecker` will be executed.

Constructor Summary
`ConnectorRevocationStatusChecker()`

Method Summary
`boolean` | `isRevoked(X509Certificate cert)`
`boolean` | `isRevoked(X509Certificate cert, org.joda.time.DateTime validOn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorRevocationStatusChecker

    public ConnectorRevocationStatusChecker()

Method Detail

### isRevoked

    public boolean isRevoked(X509Certificate cert)
                      throws CertificateException

  Specified by:
    `isRevoked` in interface `RevocationStatusChecker`
  Throws:
    `CertificateException`

### isRevoked

    public boolean isRevoked(X509Certificate cert,
                             org.joda.time.DateTime validOn)
                      throws CertificateException

  Specified by:
    `isRevoked` in interface `RevocationStatusChecker`
  Throws:
    `CertificateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.